SDL_atanf(3)

NAME
SDL_atanf - Compute the arc tangent of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_atanf(float x);

DESCRIPTION
The definition of y=atan(x) is x=tan(y) .

Domain: -INF<=x<=INF Range: -Pi/2<=y<=Pi/2 This function operates on single-precision floating point values, use

SDL_atan
 for dboule-precision floats.

To calculate the arc tangent of y / x, use SDL_atan2f .

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns arc tangent of of x in radians, or 0 if x=0 .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_atan(3), •(3), SDL_atan2f(3), •(3), SDL_tanf(3)